Package Scientific :: Package BSP :: Class ParIterator

[frames] | no frames]

# Class ParIterator

    object --+
             |
            ParIterator

Parallel iterator

Constructor: ParIterator(|global_sequence|)

Arguments:

A ParIterator is used to loop element by element over a distributed sequence. At each iteration, the returned item (a global object) contains different elements of the distributed sequence.

Instance Methods

__getitem__(self, item) |

__init__(self, sequence) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, sequence)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `sequence` (ParSequence) - a global object representing a distributed sequence
Overrides: object.__init__